{%- from 'components/section.html.jinja' import title_section -%}
{% extends "root.html.jinja" %}

{% macro _section(section) %}
  <section class="py-5">
    <h2 id="{{ section.anchor }}" class="fs-1 mb-5">{{ section.title }}</h2>

    <div class="row g-3">
      {% for card in section.cards %}
        {{ _simple_card(card) }}
      {% endfor %}

      {% if section.further_links %}
        {{ _further_links(section.further_links) }}
      {% endif %}
    </div>
  </section>
{%- endmacro -%}

{% macro _further_links(further_links) %}
  {% call _card("plus", "Weitere Arbeitsmittel", 12) %}
    <div class="row g-2">
      {% for link in further_links %}
        <div class="col-lg-6">
          <a
            href="{{ link.href }}"
            target="_blank"
            aria-label="{{ link.label }} (öffnet in neuem Tab)"
          >
            {{ link.label }}
            {% if link.is_download %}
              <i class="bi bi-download ms-1"></i>
            {% else %}
              <i class="bi bi-box-arrow-up-right ms-1"></i>
            {% endif %}
          </a>
        </div>
      {% endfor %}
    </div>
  {% endcall %}
{%- endmacro -%}

{% macro _simple_card(card) %}
  {% call _card(card.icon, card.title, card.size) %}
    <p class="card-text flex-fill">{{ card.description }}</p>
    <div class="d-flex flex-wrap flex-row gap-2">
      {% for link in card.links %}
        <a
          href="{{ link.href }}"
          target="_blank"
          aria-label="{{ link.label }} (öffnet in neuem Tab)"
          class="btn btn-light"
        >
          {{ link.label }}
          {% if link.is_download %}
            <i class="bi bi-download ms-1"></i>
          {% else %}
            <i class="bi bi-box-arrow-up-right ms-1"></i>
          {% endif %}
        </a>
      {% endfor %}
    </div>
  {% endcall %}
{%- endmacro -%}

{% macro _card(icon, title, size) %}
  <div class="col-lg-{{ size }} d-flex flex-column">
    <div class="card shadow flex-fill">
      <div class="card-body p-4 d-flex flex-column">
        <div class="d-flex flex-row gap-2 align-items-start mb-3">
          <i
            class="bi bi-{{ icon }} bg-itpr-blue-6 rounded-circle flex-shrink-0 d-inline-flex justify-content-center align-items-center justify-content-center fs-5 text-primary"
            style="width: 2.5rem; height: 2.5rem;"
          ></i>
          <h3 class="fs-5 card-title mt-2">{{ title }}</h3>
        </div>
        {{ caller() }}
      </div>
    </div>
  </div>
{%- endmacro -%}

{%- block page -%}
  {{ title_section(base, page.get_title_section()) }}

  <div class="container my-5">
    {% for section in page.sections %}
      {{ _section(section) }}

      <hr class="my-5" />
    {% endfor %}

    <section class="py-5">
      <h2 id="bausteinuebergreifend" class="fs-1 mb-5">
        Bausteinübergreifende Arbeitsmittel
      </h2>

      <div class="row g-3">
        {% call _card("globe", "Single Digital Gateway (SDG)", 4) %}
          {% for link in page.sdg_links %}
            <a
              class="mb-2"
              href="{{ link.href }}"
              target="_blank"
              aria-label="{{ link.label }} (öffnet in neuem Tab)"
            >
              {{ link.label }}
              {% if link.is_download %}
                <i class="bi bi-download ms-1"></i>
              {% else %}
                <i class="bi bi-box-arrow-up-right ms-1"></i>
              {% endif %}
            </a>
          {% endfor %}
        {% endcall %}

        {% call _card("wifi", "Onlinezugangsgesetz (OZG)", 4) %}
          {% for link in page.ozg_links %}
            <a
              class="mb-2"
              href="{{ link.href }}"
              target="_blank"
              aria-label="{{ link.label }} (öffnet in neuem Tab)"
            >
              {{ link.label }}
              {% if link.is_download %}
                <i class="bi bi-download ms-1"></i>
              {% else %}
                <i class="bi bi-box-arrow-up-right ms-1"></i>
              {% endif %}
            </a>
          {% endfor %}
        {% endcall %}

        {% call _card("plus", "Weitere Arbeitsmittel", 4) %}
          {% for link in page.fim_querschnitt_links %}
            <a
              class="mb-2"
              href="{{ link.href }}"
              target="_blank"
              aria-label="{{ link.label }} (öffnet in neuem Tab)"
            >
              {{ link.label }}
              {% if link.is_download %}
                <i class="bi bi-download ms-1"></i>
              {% else %}
                <i class="bi bi-box-arrow-up-right ms-1"></i>
              {% endif %}
            </a>
          {% endfor %}
        {% endcall %}
      </div>
    </section>
  </div>

  <div class="overlap-section">
    <div class="bg-upper bg-white"></div>
    <div class="bg-lower bg-dark"></div>

    <section class="container">
      <div
        class="card img-bg-card shadow"
        style="background-image: url('{{ base.info_box_background_image.url }}')"
      >
        <div class="card-body p-5">
          <div class="row g-5">
            <div class="col-lg-6">
              <h2>Sie wollen mehr über die FIM-Methodik erfahren?</h2>
            </div>

            <div class="col-lg-6">
              <p class="fs-4 mb-3">
                Für ausführlichere Informationen besuchen Sie unsere
                Dokumentationsseite oder nehmen Sie an einer Schulung teil
              </p>
              <div class="d-flex flex-wrap flex-row gap-3">
                <a
                  class="btn btn-lg btn-light"
                  target="_blank"
                  href="{{ base.docs_link }}"
                  aria-label="Dokumentation (öffnet in neuem Tab)"
                >
                  Dokumentation
                  <i class="bi bi-box-arrow-up-right"></i>
                </a>
                <a class="btn btn-lg btn-light" href="/schulung">Schulung</a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  </div>
{%- endblock -%}
